
QGIS Application - Bug report #17623

If the current feature ($geometry) falls outside the canvas's visibility area, the geometry generated 

with the geometry generator symbology is no longer visible

2017-12-04 05:22 PM - salvatore fiandaca

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25520

Description

sorry if I use google translator.

adding a geometry-generator layer to a layer (example: buffer ($ geometry, 100)), if the current feature ($ geometry) falls outside the

canvas's visibility area, the buffer is no longer visible.

History

#1 - 2017-12-04 05:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you attach a screenshot or a sample project with data to prove/show the issue? thanks!

#2 - 2017-12-04 06:06 PM - salvatore fiandaca

- File bug.7z added

salvatore fiandaca wrote:

sorry if I use google translator.

adding a geometry-generator layer to a layer (example: buffer ($ geometry, 100)), if the current feature ($ geometry) falls outside the canvas's

visibility area, the buffer is no longer visible.

I attach data and project 2.18.14

#3 - 2017-12-04 08:20 PM - Giovanni Manghi

I attach data and project 2.18.14

does it work as expected on 2.18.14?

#4 - 2017-12-04 08:31 PM - salvatore fiandaca
Giovanni Manghi wrote:

I attach data and project 2.18.14

does it work as expected on 2.18.14?

no,

same problem in 2.18.14 and master

#5 - 2018-02-22 02:23 PM - Giovanni Manghi

- Subject changed from geometry-generator theme 2.18.14 and master to If the current feature ($geometry) falls outside the canvas's visibility area, the 

geometry generated with the geometry generator symbology is no longer visible

- Status changed from Feedback to Open

#6 - 2018-02-26 10:35 AM - salvatore fiandaca

I did a test with QGIS 3.0 Girona: the problem is still present.

I used the data and project attached.

#7 - 2018-02-27 12:38 PM - Giovanni Manghi

- Operating System deleted (win 10 64b)

- Affected QGIS version changed from master to 3.0.0

Files

bug.7z 3.48 KB 2017-12-04 salvatore fiandaca
